| Home | Libraries | People | FAQ | More

## Struct template comma

boost::proto::comma — A metafunction for generating comma expression types, a grammar element for matching comma expressions, and a PrimitiveTransform that dispatches to the `proto::pass_through<>` transform.

## Synopsis

    // In header: <boost/proto/traits.hpp>

    template<typename T, typename U>
    struct comma :  proto::transform< comma<T, U> > {
      // types
      typedef proto::expr< proto::tag::comma, proto::list2< T, U > > type;
      typedef type                                                   proto_base_expr;
      template<typename Expr, typename State, typename Data>
      struct impl :  proto::pass_through<comma>::template impl<Expr, State, Data> {
      };
    };

## Description